export declare const OutputFormat: {
    DEFAULT: number;
    THREE_GPP: number;
    MPEG_4: number;
    AMR_NB: number;
    AMR_WB: number;
    AAC_ADIF: number;
    AAC_ADTS: number;
    OUTPUT_FORMAT_RTP_AVP: number;
    MPEG_2_TS: number;
    WEBM: number;
};
type OutputFormat = (typeof OutputFormat)[keyof typeof OutputFormat];
export declare const AudioSource: {
    DEFAULT: number;
    MIC: number;
    VOICE_UPLINK: number;
    VOICE_DOWNLINK: number;
    VOICE_CALL: number;
    CAMCORDER: number;
    VOICE_RECOGNITION: number;
    VOICE_COMMUNICATION: number;
    REMOTE_SUBMIX: number;
    UNPROCESSED: number;
    VOICE_PERFORMANCE: number;
};
type AudioSource = (typeof AudioSource)[keyof typeof AudioSource];
export declare const AudioEncoder: {
    DEFAULT: number;
    AMR_NB: number;
    AMR_WB: number;
    AAC: number;
    HE_AAC: number;
    AAC_ELD: number;
    VORBIS: number;
    OPUS: number;
};
type AudioEncoder = (typeof AudioEncoder)[keyof typeof AudioEncoder];
export type NoticationConfig = {
    channelName?: string;
    contentTitle?: string;
    contentText?: string;
};
export type AudioConfig = {
    audioSource?: AudioSource;
    outputFormat?: OutputFormat;
    audioEncoder?: AudioEncoder;
    audioSamplingRate?: number;
    audioEncodingBitRate?: number;
    audioChannels?: number;
};
export {};
//# sourceMappingURL=type.d.ts.map